%define oname pybluez
%define name python-%{oname}
%define version 0.9.2
%define release %mkrel 5

Summary: Python wrappers around system Bluetooth resources
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://org.csail.mit.edu/pybluez/release/%{oname}-src-%{version}.tar.bz2
License: GPL
Group: Development/Python
Url: http://org.csail.mit.edu/pybluez/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bluez-devel python-devel

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG README
%{py_platsitedir}/_bluetooth.so
%{py_platsitedir}/bluetooth.py*
%{py_platsitedir}/*.egg-info




%changelog
* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-5mdv2009.1
+ Revision: 320162
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.2-4mdv2009.0
+ Revision: 259770
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.2-3mdv2009.0
+ Revision: 247596
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.2-1mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 29 2006 Olivier Blin <oblin@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 102576
- buildrequires bluez-devel
- buildrequires python-devel
- initial pybluez release
- Create python-pybluez

